Subject: Re: [RFC] 4xx hardware watchpoint support

From: Luis Machado <[email-masked]>
Date: Fri, 23 May 2008 15:12:27 -0300

On Wed, 2008-05-21 at 23:46 -0700, Roland McGrath wrote:
> > I would think there would be a different REQUEST value to mean "set a
> > hardware breakpoint".  Roland McGrath (cc'd) might be able to tell us
> > what other architectures do.
> 
> Other architectures don't give a good model to follow.  (If anything,
> they just trivally virtualize their own idiosyncratic hardware.)
> 
> What I want to see done for this in the future is reviving and
> finishing the hw_breakpoint work begun by Alan Stern, and porting
> that to each arch's particular hardware features.  On that we'd
> build any new interfaces in abstract machine-independent terms,
> just describing the constraints of what the hardware can do,
> rather than having the user interface involve mimicking hardware
> encodings.  (The existing hardware-idiosyncratic ptrace interfaces
> would tie into hw_breakpoint for backward compatibility.)
> 
> 

Kumar was just mentioning this post a few messages ago:
http://ozlabs.org/pipermail/linuxppc-dev/2008-May/055745.html

That is a very interesting approach to handle all the differences
between each processor's architecture, and a much cleaner way to set the
facilities we want than the current interface we have. Do you know what
is the status of this work? Did it move any further?

Best Regards,
Luis